%define upstream_name	 Net-IMAP-Simple
%define upstream_version 1.1907

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 1

Summary:	Simple IMAP interface to Perl 5	
License:	GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor)
BuildRequires: perl(Regexp::Common)
BuildArch: noarch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}

%description
Perl extension for simple IMAP account handling, 
mostly compatible with Net::POP.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor 
%make

%check
%{__make} test

%install
rm -rf %{buildroot} 
%{makeinstall_std}

%clean
rm -rf %{buildroot} 

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/*
%{perl_vendorlib}/Net


%changelog
* Thu Aug 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1.190.700-1mdv2010.0
+ Revision: 410682
- update to 1.1907

* Thu Jul 23 2009 Jérôme Quelin <jquelin@mandriva.org> 1.190.500-1mdv2010.0
+ Revision: 398942
- typo in buildrequires:
- adding missing buildrequires:
- adding missing buildrequires:
- update to 1.1905

* Wed Jul 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.190.0-1mdv2010.0
+ Revision: 396223
- update to new version 1.1900

* Wed Jul 08 2009 Jérôme Quelin <jquelin@mandriva.org> 1.180.100-1mdv2010.0
+ Revision: 393569
- wrong name during spec cleanup
- update to 1.1801
- using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.17-4mdv2009.0
+ Revision: 258013
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.17-3mdv2009.0
+ Revision: 246118
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.17-1mdv2008.1
+ Revision: 136304
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.17-1mdv2008.0
+ Revision: 77706
- new version


* Wed Jun 21 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.16-1mdv2007.0
- new version

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.14-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires

* Fri Nov 18 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.14-1mdk
- New release 1.14
- %%mkrel

* Fri Sep 30 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.13-1mdk
- new release
- spec cleanup

* Mon Aug 01 2005 Pixel <pixel@mandriva.com> 0.103-1mdk
- new release

* Mon May 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.99-1mdk
- 0.99

* Thu Jul 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.95-1mdk
- 0.95

* Thu Jun 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.94-1mdk
- 0.94
- drop prefix tag

* Mon Dec 01 2003 Stew Benedict <sbenedict@mandrakesoft.com> 0.93-1mdk
- first Mandrake release, optional feature for nocatauth

